
From: Andre Landwehr <andre.landwehr@gmx.net>

with / on an IDE harddisk the disks partitions do not appear in
devfs, only the disc device. This is due to rescan_partitions
being called twice and deleting but not re-creating the entries
during the second call.



 fs/partitions/check.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/partitions/check.c~devfs-rescan_partitions-fix fs/partitions/check.c
--- 25/fs/partitions/check.c~devfs-rescan_partitions-fix	2003-03-28 21:13:00.000000000 -0800
+++ 25-akpm/fs/partitions/check.c	2003-03-28 21:52:15.000000000 -0800
@@ -262,6 +262,7 @@ void delete_partition(struct gendisk *di
 	p->nr_sects = 0;
 	p->reads = p->writes = p->read_sectors = p->write_sectors = 0;
 	devfs_unregister(p->de);
+	p->de = NULL;
 	kobject_unregister(&p->kobj);
 }
 

_
